(a) If there was no friction, the angle of repose would
be zero, so the coefficient of static friction, $\mu_s$,
will definitely matter. We also make up symbols $\theta$, $m$
and $g$ for the angle of the slope, the mass of the object,
and the acceleration of gravity. The forces form a triangle
just like the one in example \ref{eg:ramp-mechanical-advantage}
on p.~\pageref{eg:ramp-mechanical-advantage}, but instead of a force
applied by an external object, we have static friction,
which is less than $\mu_s |\vc{F}_N|$. As in that example,
$|\vc{F}_s|=mg \sin \theta$, and $|\vc{F}_s|<\mu_s |\vc{F}_N|$, so
\begin{equation*}
    mg \sin  \theta<\mu_s |\vc{F}_N| \qquad   .
\end{equation*}
From the same triangle, we have $|\vc{F}_N|=mg \cos\theta $, so
\begin{equation*}
    mg \sin  \theta<\mu_s mg \cos \theta  \qquad .
\end{equation*}
Rearranging,
\begin{equation*}
    \theta  < \tan^{-1} \mu_s   \qquad   .
\end{equation*}
(b) Both $m$ and $g$ canceled out, so the angle of repose
would be the same on an asteroid.
